<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>control/mmwave/platform/mmwave_xwr16xx.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_56ea320f36428fc096e6ea8f45d8dae0.html">control</a></li><li class="navelem"><a class="el" href="dir_bc5530914c18f88533c1e6a5b88262f4.html">mmwave</a></li><li class="navelem"><a class="el" href="dir_d4914e1d2697d433e0a305cdcf08932b.html">platform</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mmwave_xwr16xx.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the XWR16xx port for the mmWave control module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/mmwavelink.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave_8h.html">ti/control/mmwave/mmwave.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave__internal_8h.html">ti/control/mmwave/include/mmwave_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg_event__t.html">MMWave_MsgEvent_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Message for event  <a href="struct_m_m_wave___msg_event__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg_header__t.html">MMWave_MsgHeader_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Message Header  <a href="struct_m_m_wave___msg_header__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg__t.html">MMWave_Msg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Message  <a href="struct_m_m_wave___msg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___x_w_r16xx__t.html">MMWave_XWR16xx_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave XWR16xx  <a href="struct_m_m_wave___x_w_r16xx__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:abb2805e089364a19eb5fed9ead9c76c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb2805e089364a19eb5fed9ead9c76c6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#abb2805e089364a19eb5fed9ead9c76c6">SOC_XWR16XX_MMAVE_MSS_DEAD</a>&#160;&#160;&#160;0U</td></tr>
<tr class="memdesc:abb2805e089364a19eb5fed9ead9c76c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">State definition which defines that the mmWave MSS module is not operational. <br /></td></tr>
<tr class="separator:abb2805e089364a19eb5fed9ead9c76c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df3065e9b91c415fa3dd054f196939c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0df3065e9b91c415fa3dd054f196939c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a0df3065e9b91c415fa3dd054f196939c">SOC_XWR16XX_MMAVE_MSS_ALIVE</a>&#160;&#160;&#160;1U</td></tr>
<tr class="memdesc:a0df3065e9b91c415fa3dd054f196939c"><td class="mdescLeft">&#160;</td><td class="mdescRight">State definition which defines that the mmWave MSS module is operational. <br /></td></tr>
<tr class="separator:a0df3065e9b91c415fa3dd054f196939c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06261d02c300db2eba66fea11f6991b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06261d02c300db2eba66fea11f6991b2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a06261d02c300db2eba66fea11f6991b2">SOC_XWR16XX_MMAVE_DSS_DEAD</a>&#160;&#160;&#160;0U</td></tr>
<tr class="memdesc:a06261d02c300db2eba66fea11f6991b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">State definition which defines that the mmWave DSS module is not operational. <br /></td></tr>
<tr class="separator:a06261d02c300db2eba66fea11f6991b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20698cebab5ce1fef08459dc87c1f36f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20698cebab5ce1fef08459dc87c1f36f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a20698cebab5ce1fef08459dc87c1f36f">SOC_XWR16XX_MMAVE_DSS_ALIVE</a>&#160;&#160;&#160;1U</td></tr>
<tr class="memdesc:a20698cebab5ce1fef08459dc87c1f36f"><td class="mdescLeft">&#160;</td><td class="mdescRight">State definition which defines that the mmWave DSS module is operational. <br /></td></tr>
<tr class="separator:a20698cebab5ce1fef08459dc87c1f36f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:adbb9e18519f33600b99d2bcb53d614d7"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="mmwave__xwr16xx_8c.html#ac709fe810f0ac0279d1262ba4fd16b43">MMWave_PayloadId_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#adbb9e18519f33600b99d2bcb53d614d7">MMWave_PayloadId</a></td></tr>
<tr class="memdesc:adbb9e18519f33600b99d2bcb53d614d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Payload identifier  <a href="#adbb9e18519f33600b99d2bcb53d614d7">More...</a><br /></td></tr>
<tr class="separator:adbb9e18519f33600b99d2bcb53d614d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b9117df22130d86e2aab35f6678cf6c"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___msg_event__t.html">MMWave_MsgEvent_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a0b9117df22130d86e2aab35f6678cf6c">MMWave_MsgEvent</a></td></tr>
<tr class="memdesc:a0b9117df22130d86e2aab35f6678cf6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Message for event  <a href="#a0b9117df22130d86e2aab35f6678cf6c">More...</a><br /></td></tr>
<tr class="separator:a0b9117df22130d86e2aab35f6678cf6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58ecdb794c5fc88efa2324c31edaebd4"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___msg_header__t.html">MMWave_MsgHeader_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a58ecdb794c5fc88efa2324c31edaebd4">MMWave_MsgHeader</a></td></tr>
<tr class="memdesc:a58ecdb794c5fc88efa2324c31edaebd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Message Header  <a href="#a58ecdb794c5fc88efa2324c31edaebd4">More...</a><br /></td></tr>
<tr class="separator:a58ecdb794c5fc88efa2324c31edaebd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714e7419602f99343e2a580e33b189a9"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___msg__t.html">MMWave_Msg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a714e7419602f99343e2a580e33b189a9">MMWave_Msg</a></td></tr>
<tr class="memdesc:a714e7419602f99343e2a580e33b189a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Message  <a href="#a714e7419602f99343e2a580e33b189a9">More...</a><br /></td></tr>
<tr class="separator:a714e7419602f99343e2a580e33b189a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb039c8375c9cd888103523d92f6218"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___x_w_r16xx__t.html">MMWave_XWR16xx_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a7fb039c8375c9cd888103523d92f6218">MMWave_XWR16xx</a></td></tr>
<tr class="memdesc:a7fb039c8375c9cd888103523d92f6218"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave XWR16xx  <a href="#a7fb039c8375c9cd888103523d92f6218">More...</a><br /></td></tr>
<tr class="separator:a7fb039c8375c9cd888103523d92f6218"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9dcea0458b6b9b8ba8e3f5d9948adad8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a9dcea0458b6b9b8ba8e3f5d9948adad8">MMWave_deviceMailboxCallbackFxn</a> (Mbox_Handle handle, Mailbox_Type peerEndpoint)</td></tr>
<tr class="separator:a9dcea0458b6b9b8ba8e3f5d9948adad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a24a896fe565b3e9514ca775ffe05c2"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a3a24a896fe565b3e9514ca775ffe05c2">MMWave_serializeCfg</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, <a class="el" href="mmwave__xwr16xx_8c.html#a714e7419602f99343e2a580e33b189a9">MMWave_Msg</a> *ptrMessage)</td></tr>
<tr class="separator:a3a24a896fe565b3e9514ca775ffe05c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe4cb0efaacea71e5896abd58f7d6749"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#abe4cb0efaacea71e5896abd58f7d6749">MMWave_deserializeCfg</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="mmwave__xwr16xx_8c.html#a714e7419602f99343e2a580e33b189a9">MMWave_Msg</a> *ptrMessage, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg)</td></tr>
<tr class="separator:abe4cb0efaacea71e5896abd58f7d6749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471d53d20d62cc2ac1c3e796d567489c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a471d53d20d62cc2ac1c3e796d567489c">MMWave_deviceGetDeviceInfo</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, rlUInt8_t *devType, rlUInt8_t *platform)</td></tr>
<tr class="separator:a471d53d20d62cc2ac1c3e796d567489c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcbf7110158c69a5ffc4904f724e9cd"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#afdcbf7110158c69a5ffc4904f724e9cd">MMWave_deviceCfgAsyncEvent</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:afdcbf7110158c69a5ffc4904f724e9cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31dc34698d7021ecbfae0ee20b5c4427"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a31dc34698d7021ecbfae0ee20b5c4427">MMWave_deviceInitFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a31dc34698d7021ecbfae0ee20b5c4427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85777c931fa701c8606025b618761d41"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a85777c931fa701c8606025b618761d41">MMWave_deviceDeinitFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a85777c931fa701c8606025b618761d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964962a52b49a1198f419fcb6b70f75a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a964962a52b49a1198f419fcb6b70f75a">MMWave_deviceOpenFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a964962a52b49a1198f419fcb6b70f75a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2405d5a792b1b110eb9add5c01232098"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a2405d5a792b1b110eb9add5c01232098">MMWave_deviceCloseFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a2405d5a792b1b110eb9add5c01232098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47d1d1932e75944381f322747aea6bba"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a47d1d1932e75944381f322747aea6bba">MMWave_deviceSyncFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a47d1d1932e75944381f322747aea6bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44066303f349dad25eef03253301ea26"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a44066303f349dad25eef03253301ea26">MMWave_deviceCfgFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:a44066303f349dad25eef03253301ea26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa200068c72ce4a1cd11878b695cfdf3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#aaa200068c72ce4a1cd11878b695cfdf3">MMWave_deviceStartFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:aaa200068c72ce4a1cd11878b695cfdf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44426d424025b9029b38a4b09f6b1b01"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a44426d424025b9029b38a4b09f6b1b01">MMWave_deviceStopFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a44426d424025b9029b38a4b09f6b1b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a642f15f1f9dbe96278b9f7d631aec015"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a642f15f1f9dbe96278b9f7d631aec015">MMWave_deviceEventFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:a642f15f1f9dbe96278b9f7d631aec015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21eec852386035f37dbd792fd1d28b8d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a21eec852386035f37dbd792fd1d28b8d">MMWave_deviceExecuteFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a21eec852386035f37dbd792fd1d28b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a08f1b4c5d940696474ec3a20135da3fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08f1b4c5d940696474ec3a20135da3fa"></a>
<a class="el" href="mmwave__xwr16xx_8c.html#a7fb039c8375c9cd888103523d92f6218">MMWave_XWR16xx</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr16xx_8c.html#a08f1b4c5d940696474ec3a20135da3fa">gMMWave_XWR16xxMCB</a></td></tr>
<tr class="memdesc:a08f1b4c5d940696474ec3a20135da3fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Global Variable which tracks the mmWave XWR16xx SOC port. <br /></td></tr>
<tr class="separator:a08f1b4c5d940696474ec3a20135da3fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the XWR16xx port for the mmWave control module. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="a714e7419602f99343e2a580e33b189a9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___msg__t.html">MMWave_Msg_t</a> <a class="el" href="mmwave__xwr16xx_8c.html#a714e7419602f99343e2a580e33b189a9">MMWave_Msg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Message </p>
<p>Messages exchanged between the mmWave execution domains have a payload identifier which is used to describe the contents of the actual message </p>

</div>
</div>
<a class="anchor" id="a0b9117df22130d86e2aab35f6678cf6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___msg_event__t.html">MMWave_MsgEvent_t</a> <a class="el" href="mmwave__xwr16xx_8c.html#a0b9117df22130d86e2aab35f6678cf6c">MMWave_MsgEvent</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Message for event </p>
<p>The structure defines the message which is used to exchange asynchronus events generated by the BSS between the mmWave execution domains. </p>

</div>
</div>
<a class="anchor" id="a58ecdb794c5fc88efa2324c31edaebd4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___msg_header__t.html">MMWave_MsgHeader_t</a> <a class="el" href="mmwave__xwr16xx_8c.html#a58ecdb794c5fc88efa2324c31edaebd4">MMWave_MsgHeader</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Message Header </p>
<p>Messages exchanged between the mmWave execution domains have a fixed size header added to all the messages which are exchanged. </p>

</div>
</div>
<a class="anchor" id="adbb9e18519f33600b99d2bcb53d614d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="mmwave__xwr16xx_8c.html#ac709fe810f0ac0279d1262ba4fd16b43">MMWave_PayloadId_e</a> <a class="el" href="mmwave__xwr16xx_8c.html#adbb9e18519f33600b99d2bcb53d614d7">MMWave_PayloadId</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Payload identifier </p>
<p>Messages exchanged between the mmWave execution domains have a payload identifier which is used to describe the contents of the actual message </p>

</div>
</div>
<a class="anchor" id="a7fb039c8375c9cd888103523d92f6218"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___x_w_r16xx__t.html">MMWave_XWR16xx_t</a> <a class="el" href="mmwave__xwr16xx_8c.html#a7fb039c8375c9cd888103523d92f6218">MMWave_XWR16xx</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave XWR16xx </p>
<p>The structure is used to keep track of information required for the mmWave XWR16xx SOC. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="mmwave__xwr16xx_8c.html#ac709fe810f0ac0279d1262ba4fd16b43">MMWave_PayloadId_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Payload identifier </p>
<p>Messages exchanged between the mmWave execution domains have a payload identifier which is used to describe the contents of the actual message </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43a373821931d90f37dc2e21060be459d39"></a>MMWave_PayloadId_CONFIG&#160;</td><td class="fielddoc">
<p>Identifier which indicates that an mmWave link configuration is being exchanged between the mmWave domains. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43a082fb632b8a3016688139ae5e9ab4ef1"></a>MMWave_PayloadId_OPEN&#160;</td><td class="fielddoc">
<p>Identifier which indicates that the mmWave module has been opened. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43aebb1e19c522ee7eb83e90937a15c67f6"></a>MMWave_PayloadId_CLOSE&#160;</td><td class="fielddoc">
<p>Identifier which indicates that the mmWave module has been closed. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43ab67b94575c5e43527dfe14e8d6d242f0"></a>MMWave_PayloadId_START&#160;</td><td class="fielddoc">
<p>Identifier which indicates that the mmWave link has been started and is operational. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43a47d50055cff307c02565883305115556"></a>MMWave_PayloadId_STOP&#160;</td><td class="fielddoc">
<p>Identifier which indicates that the mmWave link has been stopped and is no longer operational. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ac709fe810f0ac0279d1262ba4fd16b43a5e35b027a220742e45c4a0b3fe1f9391"></a>MMWave_PayloadId_EVENT&#160;</td><td class="fielddoc">
<p>Identifier which indicates that the mmWave link has reported an asynchronous event. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="abe4cb0efaacea71e5896abd58f7d6749"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_deserializeCfg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="mmwave__xwr16xx_8c.html#a714e7419602f99343e2a580e33b189a9">MMWave_Msg</a> *&#160;</td>
          <td class="paramname"><em>ptrMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to the de-serialize the control configuration from a message received by the remote mmWave peer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMessage</td><td>Pointer to the received message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the control configuration which is populated after the message has been deserialized.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afdcbf7110158c69a5ffc4904f724e9cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCfgAsyncEvent </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure the asynchronous events. On the XWR16xx either the DSS or the MSS could be configured to be the recepient of asynchronous events. It also configures if the start/stop asynchronous events are enabled or disabled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a44066303f349dad25eef03253301ea26"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCfgFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the configuration for the XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the mmWave control configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2405d5a792b1b110eb9add5c01232098"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCloseFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to close the mmWave control module on XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a85777c931fa701c8606025b618761d41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceDeinitFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize mmWave on XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a642f15f1f9dbe96278b9f7d631aec015"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_deviceEventFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>msgId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>payload</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link asynchronous events for the XWR16xx. On the XWR16xx the mmWave module is responsible for relaying the mmWave link events to the peer execution domain</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msgId</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a21eec852386035f37dbd792fd1d28b8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceExecuteFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the SOC specific execution. On the XWR16xx we check if there are any messages which have been received from the peer execution domain and process these messages.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a471d53d20d62cc2ac1c3e796d567489c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_deviceGetDeviceInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>devType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>platform</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the mmWave link device information. On the XWR16xx the link could execute on either the DSS or MSS. The function is used to handle these scenarios</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">devType</td><td>Device Type populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">platform</td><td>Platform populated by the API</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a31dc34698d7021ecbfae0ee20b5c4427"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceInitFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize the mmWave on XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9dcea0458b6b9b8ba8e3f5d9948adad8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void MMWave_deviceMailboxCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">Mbox_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mailbox_Type&#160;</td>
          <td class="paramname"><em>peerEndpoint</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to the registered callback function which is invoked when a message is received from the peer mmWave execution domain.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Mailbox on which data was received </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">peerEndpoint</td><td>Peer endpoint from which data was received</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a964962a52b49a1198f419fcb6b70f75a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceOpenFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to open the mmWave control module on XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa200068c72ce4a1cd11878b695cfdf3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceStartFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link start for the XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a44426d424025b9029b38a4b09f6b1b01"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceStopFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link stop for the XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a47d1d1932e75944381f322747aea6bba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceSyncFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to synchronize mmWave on XWR16xx. The function checks the status of the mmWave between the peers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3a24a896fe565b3e9514ca775ffe05c2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t MMWave_serializeCfg </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="mmwave__xwr16xx_8c.html#a714e7419602f99343e2a580e33b189a9">MMWave_Msg</a> *&#160;</td>
          <td class="paramname"><em>ptrMessage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to the serialize the control configuration into a message which can be sent to the remote mmWave peer. Serialization of the message would require that all lists (profile, chirp, BPM cfg) are placed inline into the message.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the control configuration which is to be sent across </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMessage</td><td>Pointer to the serialized message populated by the API</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Size</td><td>of the serialized message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
